<!--

    Copyright 2015-2017 Red Hat, Inc. and/or its affiliates
    and other contributors as indicated by the @author tags.

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

-->

<!-- This module is designed to only run in EAP6 -->
<module xmlns="urn:jboss:module:1.3" name="org.hawkular.agent">
  <resources>
    <resource-root path="hawkular-metrics-clients-common-0.21.5.Final.jar"/>
    <resource-root path="hawkular-bus-common-0.9.2.Final.jar"/>
    <resource-root path="hawkular-dmr-client-0.28.0.Final.jar"/>
    <resource-root path="hawkular-wildfly-agent-0.28.0.Final.jar"/>
    <resource-root path="hawkular-command-gateway-api-0.9.2.Final.jar"/>
    <resource-root path="hawkular-inventory-paths-0.9.2.Final.jar"/>
    <resource-root path="hawkular-inventory-api-1.1.3.Final.jar"/>
    <resource-root path="hawkular-inventory-json-helper-1.1.3.Final.jar"/>
    <resource-root path="jgrapht-core-0.9.1.jar"/>
    <resource-root path="wildfly-plugin-core-1.1.0.Alpha11.jar"/>
    <resource-root path="metrics-core-3.1.2.jar"/>
    <resource-root path="okhttp-3.4.2.jar"/>
    <resource-root path="okhttp-ws-3.4.2.jar"/>
    <resource-root path="okio-1.9.0.jar"/>

    <!-- These are pulled in due to hawkular-inventory-json-helper.jar. -->
    <!--
    <resource-root path="activation.jar"/>
    <resource-root path="btf.jar"/>
    <resource-root path="jackson-coreutils.jar"/>
    <resource-root path="joda-time.jar"/>
    <resource-root path="jopt-simple.jar"/>
    <resource-root path="json-schema-core.jar"/>
    <resource-root path="json-schema-validator.jar"/>
    <resource-root path="jsr305.jar"/>
    <resource-root path="libphonenumber.jar"/>
    <resource-root path="mailapi.jar"/>
    <resource-root path="msg-simple.jar"/>
    <resource-root path="rhino.jar"/>
    <resource-root path="rxjava.jar"/>
    <resource-root path="uri-template.jar"/>
    -->

    <resource-root path="rxjava-1.1.7.jar"/>

    <!-- OSHI deps -->
    <resource-root path="oshi-core-2.6.2.jar"/>
    <resource-root path="jna-platform-4.2.2.jar"/>
    <resource-root path="jna-4.2.2.jar"/>

    <!-- Jolokia deps -->
    <resource-root path="commons-codec-1.10.jar"/>
    <resource-root path="httpclient-osgi-4.3.3.jar"/>
    <resource-root path="jolokia-client-java-1.3.5.jar"/>
    <resource-root path="json-simple-1.1.1.jar"/>
    <!-- I can't find these in mvn dependency:tree but they came when pulling in jolokia -->
    <!--
    <artifact name="${commons-logging}" />
    <artifact name="${fluent-hc}" />
    <artifact name="${httpclient-cache}" />
    <artifact name="${httpcore}" />
    <artifact name="${httpmime}" />
     -->

    <!-- EAP6 -->
    <resource-root path="jackson-core-2.5.4.jar"/>
    <resource-root path="jackson-databind-2.5.4.jar"/>
    <resource-root path="jackson-annotations-2.5.4.jar"/>
    <resource-root path="javax.json-1.0.3.jar"/>

  </resources>

  <dependencies>
    <!-- modules required by any subsystem -->
    <module name="javax.api"/>
    <module name="org.jboss.as.controller"/>
    <module name="org.jboss.as.host-controller"/> <!-- in case we are deployed in host controller -->
    <module name="org.jboss.as.server"/>
    <module name="org.jboss.logging"/>
    <module name="org.jboss.modules"/>
    <module name="org.jboss.msc"/>
    <module name="org.jboss.staxmapper"/>
    <module name="org.jboss.vfs"/>

    <!-- other dependencies we need -->
    <module name="javaee.api"/> <!-- bus-commons -->
    <module name="org.apache.commons.logging"/> <!-- jolokia -->
    <module name="org.jboss.as.domain-management"/>
    <module name="org.jboss.as.naming"/>
    <module name="org.jboss.as.network"/>
    <module name="org.jboss.as.threads"/>
    <module name="org.jboss.logmanager" services="import"/>
    <module name="org.jboss.threads"/>
    <module name="org.slf4j"/>
    <!-- <module name="org.wildfly.security.manager"/> --> <!-- Not included with EAP6 -->
    <module name="sun.jdk"/> <!-- codahale needs sun.misc.Unsafe -->
    <!-- Not included with EAP6 -->
    <!-- <module name="com.fasterxml.jackson.core.jackson-core"/> -->
    <!-- <module name="com.fasterxml.jackson.core.jackson-databind"/> -->
    <!-- <module name="com.fasterxml.jackson.core.jackson-annotations"/> -->

    <system export="true">
      <paths>
        <!-- Needed for HTTP2 and SPDY support-->
        <path name="org/eclipse/jetty/alpn"/>
      </paths>
    </system>
  </dependencies>
</module>
